For the complete documentation index, see llms.txt. This page is also available as Markdown.

Items

Beta: List all invoice items

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional

A page number within the paginated result set.

Responses
200

Get successful

application/json
countintegerOptionalExample: 1
nextstring · nullableOptional
previousstring · nullableOptional
get/invoices/items/
GET /api/v4/invoices/items/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200

Get successful

{
  "count": 1,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "uid": "687cddac-dbd2-11ea-9024-0242ac130006",
      "remote_id": "ITEM_123",
      "description": "Gas transportation"
    }
  ]
}

Beta: Create an invoice item

post
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
remote_idstringOptional

The id of the invoice item in your system

Example: ITEM_123
descriptionstringOptional

Default description when a user selects this invoice item for an invoice line

Example: Gas transportation
Responses
201

Create successful

application/json
uidstring · uuidOptionalExample: 687cddac-dbd2-11ea-9024-0242ac130006
remote_idstringOptional

The id of the invoice item in your system

Example: ITEM_123
descriptionstringOptional

Default description when a user selects this invoice item for an invoice line

Example: Gas transportation
post/invoices/items/
POST /api/v4/invoices/items/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "remote_id": "ITEM_123",
  "description": "Gas transportation"
}
201

Create successful

{
  "uid": "687cddac-dbd2-11ea-9024-0242ac130006",
  "remote_id": "ITEM_123",
  "description": "Gas transportation"
}

Delete an invoice intem

delete
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its uid then

  • replace the uid value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
204

Empty body

No content

delete/invoices/items/{uid}/
DELETE /api/v4/invoices/items/{uid}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
204

Empty body

No content

Beta: Partially update an invoice item

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstring · uuidRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its uid then

  • replace the uid value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Body
remote_idstringOptional

The id of the invoice item in your system

Example: ITEM_123
descriptionstringOptional

Default description when a user selects this invoice item for an invoice line

Example: Gas transportation
Responses
200

Update successful

application/json
uidstring · uuidOptionalExample: 687cddac-dbd2-11ea-9024-0242ac130006
remote_idstringOptional

The id of the invoice item in your system

Example: ITEM_123
descriptionstringOptional

Default description when a user selects this invoice item for an invoice line

Example: Gas transportation
patch/invoices/items/{uid}/
PATCH /api/v4/invoices/items/{uid}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "remote_id": "ITEM_123",
  "description": "Gas transportation"
}
200

Update successful

{
  "uid": "687cddac-dbd2-11ea-9024-0242ac130006",
  "remote_id": "ITEM_123",
  "description": "Gas transportation"
}

Last updated

Was this helpful?